FruxonDocs
ApiAgent reply style

Lists an agent's reply-style versions that have not expired, newest first.

Agent admins only.

GET
/v1/tenants/{tenant}/agents/{agent}/replyStyle/versions
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The agent ID.

tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque pagination token returned by an external service. Pass it back unchanged rather than interpreting it as an offset.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/replyStyle/versions"
{
  "items": [
    {
      "number": 0,
      "status": "DRAFT",
      "content": {
        "summary": "string",
        "rules": [],
        "examples": []
      },
      "renderedText": "string",
      "tokenEstimate": 0,
      "createdBy": "string",
      "createdAt": 0,
      "modifiedAt": 0,
      "activatedAt": 0,
      "activatedBy": "string",
      "retiredAt": 0,
      "expiresAt": 0,
      "buildId": "00000000-0000-0000-0000-000000000000",
      "check": {
        "running": false,
        "style": null,
        "substance": null
      }
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}